// %flair:license{
// This file is part of the Flair framework distributed under the
// CECILL-C License, Version 1.0.
// %flair:license}
//  created:    2016/09/02
//  filename:   GuiGcs.h
//
//  authors:    Thomas Fuhrmann
//              Copyright Heudiasyc UMR UTC/CNRS 7253
//
//  version:    $Id: $
//
//  purpose:    Implementation of GuiInterface, using sockets
//
//
/*********************************************************************/

#include "GuiGcs.h"
#include "GuiInterface.h"

#include <Socket.h>
#include <FrameworkManager.h>

//todo remove for tests
#include <iostream>

using namespace std;
using namespace flair::core;
using namespace flair::gui;

GuiGcs::GuiGcs(const FrameworkManager *parent, string name,
  		 	   std::string &outputAddress, int outputPort):
			   GuiInterface(parent, name) {
  cout << "MavPlanner GuiGcs constructor" << endl;
  outputSocket = new Socket((Thread *)this, "output socket", outputAddress + ":" + to_string(outputPort));
}

GuiGcs::~GuiGcs() {

}

void GuiGcs::MissionStart() {
  cout << "MavPlanner GuiGcs MissionStart" << endl;
  outputSocket->SendMessage("MavPlanner GuiGcs MissionStart");
}

void GuiGcs::MissionStop() {
  cout << "MavPlanner GuiGcs MissionStop" << endl;
  outputSocket->SendMessage("MavPlanner GuiGcs MissionStop");
}

void GuiGcs::MissionResume() {
  cout << "MavPlanner GuiGcs MissionResume" << endl;
  outputSocket->SendMessage("MavPlanner GuiGcs MissionResume");
}

void GuiGcs::MissionSend() {
  cout << "MavPlanner GuiGcs MissionSend" << endl;
}
